Loading...
Searching...
No Matches
pappso::cbor::psm::MzIdentMlReader::MzidDBSequence Struct Reference

## Public Attributes

QString | accession
QString | searchDatabase_ref
QString | sequence
QString | description
std::shared_ptr< Protein > | protein_sp
bool | is_decoy
std::vector< CvParam > | cvParamList

## Detailed Description

Definition at line 130 of file mzidentmlreader.h.

## Member Data Documentation

## accession

QString pappso::cbor::psm::MzIdentMlReader::MzidDBSequence::accession

Definition at line 132 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readDBSequence().

## cvParamList

std::vector<CvParam> pappso::cbor::psm::MzIdentMlReader::MzidDBSequence::cvParamList

Definition at line 138 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readDBSequence().

## description

QString pappso::cbor::psm::MzIdentMlReader::MzidDBSequence::description

Definition at line 135 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readDBSequence().

## is_decoy

bool pappso::cbor::psm::MzIdentMlReader::MzidDBSequence::is_decoy

Definition at line 137 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readDBSequence().

## protein_sp

std::shared_ptr<Protein> pappso::cbor::psm::MzIdentMlReader::MzidDBSequence::protein_sp

Definition at line 136 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readDBSequence().

## searchDatabase_ref

QString pappso::cbor::psm::MzIdentMlReader::MzidDBSequence::searchDatabase_ref

Definition at line 133 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readDBSequence().

## sequence

QString pappso::cbor::psm::MzIdentMlReader::MzidDBSequence::sequence

Definition at line 134 of file mzidentmlreader.h.

Referenced by pappso::cbor::psm::MzIdentMlReader::readDBSequence().

The documentation for this struct was generated from the following file:

- pappsomspp/core/processing/cbor/psm/mzidentml/mzidentmlreader.h